.\"Generated by db2man.xsl. Don't modify this, modify the source.
.de Sh \" Subsection
.br
.if t .Sp
.ne 5
.PP
\fB\\$1\fR
.PP
..
.de Sp \" Vertical space (when we can't use .PP)
.if t .sp .5v
.if n .sp
..
.de Ip \" List item
.br
.ie \\n(.$>=3 .ne \\$3
.el .ne 3
.IP "\\$1" \\$2
..
.TH "XOSD_CREATE" 3xosd "" "" ""
.SH NAME
xosd_create \- Create a new XOSD object
.SH "SYNOPSIS"
.ad l
.hy 0

#include <xosd.h>
.sp
.HP 19
xosd\ *\fBxosd_create\fR\ (int\ \fInumber_lines\fR);
.ad
.hy

.SH "DESCRIPTION"

.PP
\fBxosd_init\fR creates a new xosd window that can be used to display textual or numerical data on a X11 display in a unmanaged, shaped window that appears to be transparent. It provides a similar effect to the on-screen display of many televisions and video recorders.

.SH "ARGUMENTS"

.TP
\fInumber_lines\fR
The maximum number of lines of text that the window can display. This value cannot be changed.

.SH "RETURN VALUE"

.PP
On success a pointer to a new \fIxosd\fR object is returned, otherwise \fINULL\fR is returned.

.SH "ENVIRONMENT"

.TP
\fBDISPLAY\fR
The environment variable that determines which X11 display the XOSD window appears.

.TP
\fIchar *xosd_error\fR
A string to a text string describing the error.

.SH "HISTORY"

.PP
The \fBxosd_create\fR function first appeared in version 2.0 of the XOSD library, replacing the now depricated \fBxosd_init\fR function.

.SH "AUTHORS"

.PP
The XOSD library was originally written by Andr Renaud, and was maintained by Tim Wright.
This document was written by Michael JasonSmith.

.SH "BUGS"

.PP
There are no known bugs with \fBxosd_create\fR.
Bug reports can be files on http://sourceforge.net/projects/libxosd/.

.SH "SEE ALSO"

.PP
 \fBxosd_destroy\fR(3xosd), \fBxosd_show\fR(3xosd), \fBxosd_set_pos\fR(3xosd), \fBxosd_set_align\fR(3xosd), \fBxosd_set_shadow_offset\fR(3xosd), \fBxosd_set_offset\fR(3xosd), \fBxosd_set_timeout\fR(3xosd), \fBxosd_set_colour\fR(3xosd), \fBxosd_set_font\fR(3xosd), \fBxosd_show\fR(3xosd), \fBxosd_scroll\fR(3xosd),

